Bug 20003 - bug in the way /dev/cdrom* is linked to /dev/scd* with more than 10 cdroms
bug in the way /dev/cdrom* is linked to /dev/scd* with more than 10 cdroms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
noarch Linux
low Severity low
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-29 14:06 EST by Optyx
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-29 14:06:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Optyx 2000-10-29 14:06:49 EST
I have a machine with 28 scsi cdroms in it.
probing the scsi card finds /dev/scd0 through /dev/scd27
then linked to a /dev/cdrom<number>

but the following error occurs

lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom -> scd0
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom1 -> scd1
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom10 ->
scd:
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom11 ->
scd;
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom12 ->
scd<
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom13 ->
scd=
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom14 ->
/dev/scd>
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom15 ->
/dev/scd?
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom16 ->
/dev/scd@
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom17 ->
/dev/scdA
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom18 ->
/dev/scdB
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom19 ->
/dev/scdC
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom2 -> scd2
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom20 ->
/dev/scdD
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom21 ->
/dev/scdE
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom22 ->
/dev/scdF
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom23 ->
/dev/scdG
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom24 ->
/dev/scdH
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom25 ->
/dev/scdI
lrwxrwxrwx    1 root     root            9 Oct 28 11:54 /dev/cdrom26 ->
/dev/scdJ
lrwxrwxrwx    1 root     root            9 Oct 28 11:55 /dev/cdrom27 ->
/dev/scdK
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom3 -> scd3
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom4 -> scd4
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom5 -> scd5
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom6 -> scd6
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom7 -> scd7
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom8 -> scd8
lrwxrwxrwx    1 root     root            4 Oct 26 21:25 /dev/cdrom9 -> scd9


instead of rolling over to /dev/scd10 it goes to /dev/scd10
which means the programmer who coded the autolinker probably put a "scd%c",
cdrom_number
which should be a "scd%d", cdrom_number
Comment 1 Bill Nottingham 2000-11-04 02:47:50 EST
This was a kudzu bug, I believe. It *should* be fixed in
7.0.

Note You need to log in before you can comment on or make changes to this bug.